petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetLabelSize

Get the number of different integer ids in a Label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetLabelSize(DM dm, const char name[], PetscInt *size)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Output Parameter

size -The number of different integer ids, or 0 if the label does not exist

### Keywords

mesh

### See Also

DMLabeGetNumValues(), DMSetLabelValue()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html